Creates a new job_priority object

Request Information

URI Parameters :

None.

Body Parameters :

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "f0c19a6d-feaf-4a62-9ff0-53751f1e30a1",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "91fca78d-e2fd-4056-8f92-7fd7d351b990",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "9a8788fe-39b8-4fdb-94ce-ede8525acc56",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "5ff41bc7-3c20-4b9b-9d3c-99579c49a3b2",
    "db_currency_id": "1bf5a233-95c5-43aa-b0da-0cbcb60aeeb4",
    "db_language_id": "3f45cf5b-6ced-49c6-a134-eb0e8ee7f946",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-02T00:21:17.3966258+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-11-02T00:21:17.3966258+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.